# Arguments typically are defined using a dash (-) or two dashes (--) followed by a letter of a word.
# r: recursive. For example, rm -r <directory-name>: remove all files, subdirectories, files in subdirectories, subdirectories in subdirectories, etc.
# Combine arguments: rm -rf directory-name
# rm -rf  remove protected files, 
# ls -a: Shows all files in the directories including hidden files (e.g. .git file when initializing using git init) (a for all).
# ls -l: Returns more information about the files (i.e. l for long).
# ls -t: Shows files in chronological order.
# ls -r: Reverses the order of how files are shown.
# ls -lart: Shows more information for all files in reverse chronological order.

# Getting Help: Use man + command name to get help (e.g. man ls). Note that it is not available for Git Bash. 
# For Git Bash, you can use command -- help (e.g. ls --help).
# Pipes: Pipes the results of a command to the command after the pipe. Similar to the pipe %>% in R. 
# For example, man ls | less (and its equivalent in Git Bash: ls --help | less). 
# Also useful when listing files with many files (e.g ls -lart | less).

########### In terminal ###########
cd ~    # move to home directory
  mkdir projects    # make a new directory called projects
cd projects    # move to ~/projects directory
mkdir murders    # make new directory called murders inside of projects
cd murders    # move to ~/projects/murders/
mkdir data rda    # make two new directories, one is data the other is rda folder
ls    # to check if we indeed have one data folder and one rda folder
pwd    # check the current working directory
mkdir figs    # make a directory called figs to store figures
########## In RStudio ########
# pick existing directory as new project
getwd()    # to confirm current working directory
save()    # save into .rda file, .RData is also fine but less preferred
ggsave("figs/barplot.png")    # save a plot generated by ggplot2 to a dir called "figs"